Package uk.ac.starlink.auth

# Class Get

java.lang.Object
uk.ac.starlink.auth.Get

public class Get extends Object
Retrieves a resource from a URL using the authentication system.

This utility may be useful on its own, but it also forms a template for other applications that wish to use the AUTH package.

This class is used via its main() method. For usage information, invoke it with the `-help` flag.

Since:
  15 May 2024
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Get()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static boolean`
`runMain(String[] args)`
Does the work for the main method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Get

public Get()

## Method Details

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`

### runMain

public static boolean runMain(String[] args) throws IOException
Does the work for the main method.

Parameters:
  `args` - command-line arguments
Returns:
  true for successful completion, false for error
Throws:
  `IOException`